package org.fuseri.moduleexercise.question;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * A repository interface for managing Question entities
 */
@Repository
public interface QuestionRepository extends JpaRepository<Question, Long> {

    //@TestOnly
    @Modifying
    @Transactional
    @Query( value = "ALTER TABLE Question ALTER COLUMN id RESTART WITH 1",nativeQuery = true)
    void resetId();

}